# [Demo](https://css.gg) - [Figma](https://css.gg/fig) - [Twitter](https://twitter.com/astritmalsija)

Open-source CSS, SVG and Figma UI Icons \
Available in SVG Sprite, styled-components, NPM, API and Flutter Package

![npm](https://img.shields.io/npm/v/css.gg) ![GitHub last commit](https://img.shields.io/github/last-commit/astrit/css.gg) ![Website](https://img.shields.io/website?url=https%3A%2F%2Fcss.gg) ![npm](https://img.shields.io/npm/dt/css.gg) ![GitHub issues](https://img.shields.io/github/issues/astrit/css.gg) ![GitHub stars](https://img.shields.io/github/stars/astrit/css.gg) ![Twitter Follow](https://img.shields.io/twitter/follow/astritmalsija?label=follow&style=social)

![css.gg](https://css.gg/fav/ogit.png)
![css.gg icons](https://css.gg/img/all.png)

# New in 2.0

#### 🥳 200 New Icons

#### 🚀 SVG Icons

#### 🔥 SVG Sprite

#### 💅 Styled Components

#### ⚛️ React Local Styled Components

#### 🦄 Figma Components

#### 🔮 Adobe XD Components

# Table of Contents

-   [Get Started](#get-started)
-   [Design Tools](#design-tools)
    -   [1. Figma](#1-figma---httpscssggfig)
    -   [2. Adobe XD](#2-adobe-xd---httpscssggxd)
-   [Contributors](#contributors)
-   [Donate](#donate)
-   [Support](#support)
-   [v.1.0.6 or older](#v106-or-older)
-   [TODO:](#todo)

# Get Started

Install the latest version via pub.dev

```shell
dependencies:
  cssgg: ^0.0.2
```

Usage:

```
import 'package:cssgg/cssgg.dart';

```

Call it where you need it :)

```

Icon(CssGG.calculator)

```

# Contributors

1. [Astrit](https://github.com/astrit) - Author
2. [JiangWeixian](https://github.com/jiangWeixian) - Styled Components
3. [Lona](https://www.figma.com/@lona) - Figma/SVG Design
4. [Flakerimi](https://www.github.com/flakerimi) - Flutter Package

To become a contributor do a [new pull request](https://github.com/astrit/css.gg/pulls).

# Donate

| Source          | Link                               |
| :-------------- | :--------------------------------- |
| Github Sponsor  | https://github.com/sponsors/astrit |
| Open Collective | https://opencollective.com/css-gg  |
| PayPal          | https://paypal.me/GjonMalsijaj     |

# Support

Discord - https://discord.gg/e7NDKFM

# v.1.0.6 or older

In order to access older versions you can use one of the provided CDN Alternatives

```html
<!-- UNPKG -  v.1.0.6 -->
https://unpkg.com/browse/css.gg@1.0.6/

<!-- JSDelivr -  v.1.0.6 -->
https://cdn.jsdelivr.net/npm/css.gg@1.0.6/
```

# TODO:

1. CSS Modules
2. Angluar
3. Vue.js

If you would like to contribute feel free to do a [new pull request](https://github.com/astrit/css.gg/pulls).
